function [] = displayResultsOfCWSStats()

%{
% Old data processing speeds
2.4	1.6	2.4	3.1	1.6	2.0  %TCS
0.9	1.5	1.7	1.9	1.4	1.9  %SP
];
%}

% In the following order:
%     1610
%     1544
%     1613
%     1339
%     1068
%     1061
%
cws = [2.5	2.6	3.3	2.9	3.0	2.7  %RW
2.8203 1.8127 2.8738 3.5955 1.9147 2.3102 %TCS
1.186 1.9616 2.3388 2.5601 1.6590 2.1553 %SP
];




[p, h, stat] = signrank(cws(1,:), cws(3,:));
disp(['SP versus RW ======'])
disp(['Mean: ' num2str(mean(cws(3,:))) ' versus '  num2str(mean(cws(1,:)))])
disp([' and p = ' num2str(p) ' h = ' num2str(h) ' and signedrank = ' num2str(stat.signedrank) ] )  

disp(' ')

[p, h, stat] = signrank(cws(1,:), cws(2,:));
disp(['TCS versus RW ======'])
disp(['Mean: ' num2str(mean(cws(2,:))) ' versus '  num2str(mean(cws(1,:)))])
disp([' and p = ' num2str(p) ' h = ' num2str(h) ' and signedrank = ' num2str(stat.signedrank) ] )  

disp(' ')

[p, h, stat] = signrank(cws(2,:), cws(3,:));
disp(['SP versus TCS ======'])
disp(['Mean: ' num2str(mean(cws(3,:))) ' versus '  num2str(mean(cws(2,:)))])
disp([' and p = ' num2str(p) ' h = ' num2str(h) ' and signedrank = ' num2str(stat.signedrank) ] )  

disp(' ')
