function [] = displayResultsOfHRStats()

disp('This script uses the comfortable walk heart rate differences manually cut and pasted from Excel.  These must be updated manually as well.')
disp('Raw values: ')
rw = [20.00	50.33	8.67	5.33	11.33	0.00]
disp(['Mean: ' num2str(mean(rw))])
sp = [28.00	54.67	47.00	41.00	23.67	51.33]
disp(['Mean: ' num2str(mean(sp))])
tcs = [2.67	19.33	10.33	16.00	8.33	6.00]
disp(['Mean: ' num2str(mean(tcs))])
disp(' ')
disp('Real world versus SP')

[p,h, stats] = signrank(rw,sp)

disp(' ')
disp('Real world versus TCS')
[p,h, stats] = signrank(rw,tcs)
disp(' ')
disp('SP versus TCS')
[p,h, stats] = signrank(tcs,sp)
disp(' ')

disp('Standard deviations of differences in heart rates:')
disp(['RW: ' num2str(std(rw))])
disp(['SP: ' num2str(std(sp))])
disp(['FC: ' num2str(std(tcs))])