function [] = displayResultsOfQuestionnaire()

spResponses = [-1	-1	-1	-2	-2	-1
-1	0	-1.5	-2	-2	-1
-1	0	0	-2	-2	-2
-1	0	0	-1	-2	-1
0	-1	0	-3	0	0
0	0	0	-1	0	-1
0	0	0	-1	-2	-1
1	2	1.5	2	2	3
];

tcsResponses = [-1	-2	-1.5	-2	-1	-1
-1	-2	-1	-1	-2	-1
0	-1	0	-1	0	0
0	0	0	-2	-1	0
0	-1	-0.5	-2	-2	0
0	-1	0	0	0	0
0	-1	-0.5	-1	-1	0
1	0	0.5	0	1	0
];

questionText = {'Ability to accelerate from stop';
'Comfort accelerating from stop';
'Ability constant speed to another constant speed';
'Comfort changing from constant speed to another constant speed';
'Stop Comfortably';
'Ability to maintain constant speed';
'Comfort walking at constant speed';
'Physical exertion';
};

% Set i equal to the questions you are interested in viewing.
for i = [1:8]
    disp(' ')
    disp([ questionText{i} ' Q(' num2str(i) '):'])

    disp(['Mean (SP, TCS):  (' num2str(mean(spResponses(i,:))) ', ' num2str(mean(tcsResponses(i,:))) ')' ]) 
    [p h stats] = signrank(tcsResponses(i,:),spResponses(i,:));
    disp(['Signed Rank Test: p = ' num2str(p) '  signedrank = ' num2str(stats.signedrank) '  n = ' num2str(length(spResponses(i,:)))])

    disp(' ')
end

spCol = spResponses(:);
disp(['Average distance SP: ' num2str(mean(abs(spCol)))])


tcsCol = tcsResponses(:);
disp(['Average distance TCS: ' num2str(mean(abs(tcsCol)))])

d1 = mean(abs(spResponses));
d2 = mean(abs(tcsResponses));
[p h stats] = signrank(d1,d2);
disp(['Signed Rank Test: p = ' num2str(p) '  signedrank = ' num2str(stats.signedrank) '  n = ' num2str(length(spResponses(i,:)))])

disp(' ')
spCol = spResponses(:);
disp(['Average distance SP without Physical Exertion: ' num2str(mean(abs(spCol(1:end-1))))])


tcsCol = tcsResponses(:);
disp(['Average distance TCS without Physical Exertion: ' num2str(mean(abs(tcsCol(1:end-1))))])

d1 = mean(abs(spResponses(1:end-1,:)));
d2 = mean(abs(tcsResponses(1:end-1,:)));
[p h stats] = signrank(d1,d2);
disp(['Signed Rank Test: p = ' num2str(p) '  signedrank = ' num2str(stats.signedrank) '  n = ' num2str(length(spResponses(i,:)))])
