% This script will generate all the data figures (Figures 3,4, and 6) and 
%  create a workspace with statistics of the data.  If you would like to 
%  get at more, use sampleScript.m to create a workspace for you.
load allData

% Plot Figure 3 (99th percentile ranges of position error).  
plotFigureSDCv2(var99TCS, var99SP)

% If you would like to graph the data of the 90th percentile,
%  uncomment:
% plotFigureSDCv2(var90TCS, var90SP)

% Plot Figure 4
plotFigureALLXERRORv2(allXErrorsTCS, allXErrorsTCSValid);

% If you would like to graph the error position of the Self-propelled mode,
%  uncomment the next line, but note that some of the formatting is 
%  incorrect:
% plotFigureALLXERRORv2(allXErrorsSP, allXErrorsSPValid);

% plot Figure 6 
[allDicts, uniqueDisplayMPHs] = plotFigureGAINSPEED(gainsMVSP, gainsFOSP, gainsMVTCS, gainsFOTCS);
